%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary:        Feature rich, easy to use tag editor
Name:           puddletag
Version:        0.9.7
Release:        1%{?dist}
Group:          Applications/Multimedia
License:        GPLv2
URL:            http://puddletag.sourceforge.net
Source0:        http://downloads.sourceforge.net/puddletag/puddletag-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-setuptools
Buildrequires:  desktop-file-utils
Requires:       python >= 2.5
Requires:       PyQt4
Requires:       pyparsing >= 1.5.5
Requires:       python-mutagen
Requires:       python-imaging
Requires:       python-configobj
Requires:       python-musicbrainz2 

%description
Puddletag is a audio tag editor.

Unlike most taggers, it uses a spreadsheet-like layout so that all the
tags you want to edit by hand are visible and easily editable.

The usual tag editor features are supported like extracting tag
information from filenames, renaming files based on their tags by
using patterns (that you define, not crappy, uneditable ones).

Then there're Functions, which can do things like replace text, trim,
change the case of tags, etc. Actions can automate repetitive
tasks. You can import your QuodLibet library, lookup tags using
MusicBrainz, FreeDB or Amazon (though it's only good for cover art)
and more.

Supported formats: ID3v1, ID3v2 (mp3), MP4 (mp4, m4a, etc.),
VorbisComments (ogg, flac), Musepack (mpc), Monkey's Audio (.ape) and
WavPack (wv).

%prep
%setup -q
%{__chmod} 0644 NEWS
%{__sed} -i -e '1d' \
    puddlestuff/{webdb,puddlesettings,puddletag,puddleobjects,releasewidget}.py

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc HACKING LICENSE NEWS README THANKS TODO 
%{_bindir}/%{name}
%{python_sitelib}/puddlestuff
%{python_sitelib}/%{name}-%{version}-py*.egg-info
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Mon Dec  6 2010 Terje Rosten <terje.rosten@ntnu.no> - 0.9.7-1
- 0.9.7

* Thu Oct 21 2010 Terje Rosten <terje.rosten@ntnu.no> - 0.9.6-1
- initial build
